> For the complete documentation index, see [llms.txt](https://docs.agilefi.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.agilefi.org/agile.js/price-feed-methods/get-price.md).

# Get Price

Gets an asset's price from the Agile Protocol open price feed. The price of the asset can be returned in any other supported asset value, including all aTokens and underlyings.

* `asset` (string) A string of a supported asset in which to find the current price.
* `[inAsset]` (string) A string of a supported asset in which to express the `asset` parameter's price. This defaults to USD.
* `RETURN` (string) Returns a string of the numeric value of the asset.

```
const agile = new Agile(window.ethereum);
let price;

(async function () {

  price = await agile.getPrice(Agile.WBTC);
  console.log('WBTC in USD', price); // 6 decimals, see Open Price Feed docs

  price = await agile.getPrice(Agile.ETH, Agile.USDC); // supports aTokens too
  console.log('ETH in USDC', price);

})().catch(console.error);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.agilefi.org/agile.js/price-feed-methods/get-price.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
